onEvent('recipes', event => {
  event.remove({ output: 'minecraft:ladder' })

  event.shaped('minecraft:ladder', [
    'A A',
    'ABA',
    'A A'
  ], {
    A: 'minecraft:stick',
    B: '#minecraft:planks'
  })
})